digiKam Developer Documentation: Digikam::HistogramWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions | Properties | List of all members
Digikam::HistogramWidget Class Reference
Inheritance diagram for Digikam::HistogramWidget:

## Public Slots
void | setChannelType (ChannelType channel)
void | setScaleType (HistogramScale scale)
void | slotMaxValueChanged (int max)
void | slotMinValueChanged (int min)

## Signals
void | signalHistogramComputationDone (bool)
void | signalHistogramComputationFailed ()
void | signalIntervalChanged (int min, int max)
void | signalMaximumValueChanged (int)

## Public Member Functions
| HistogramWidget (int w, int h, QWidget *const parent=nullptr, bool selectMode=true, bool showProgress=true, bool statisticsVisible=false)
| Standard constructor.
int | animationState () const
ChannelType | channelType () const
ImageHistogram * | currentHistogram () const
| Currently rendered histogram, depending on current rendering type.
HistogramRenderingType | renderingType () const
void | reset ()
HistogramScale | scaleType () const
void | setAnimationState (int animationState)
void | setDataLoading ()
void | setHistogramGuideByColor (const DColor &color)
void | setLoadingFailed ()
void | setRenderingType (HistogramRenderingType type)
void | setStatisticsVisible (bool b)
void | stopHistogramComputation ()
| Stop current histogram computations.
void | updateData (const DImg &img, const DImg &sel=DImg(), bool showProgress=true)
| Update full image histogram data methods.
void | updateSelectionData (const DImg &sel, bool showProgress=true)
| Update image selection histogram data methods.

## Protected Slots
void | slotCalculationAboutToStart ()
void | slotCalculationFinished (bool success)

## Protected Member Functions
void | mouseMoveEvent (QMouseEvent *) override
void | mousePressEvent (QMouseEvent *) override
void | mouseReleaseEvent (QMouseEvent *) override
void | paintEvent (QPaintEvent *) override

## Properties
int | animationState

## Constructor & Destructor Documentation

## ◆ HistogramWidget()

Digikam::HistogramWidget::HistogramWidget | ( | int | w,
|  | int | h,
|  | QWidget *const | parent = `nullptr`,
|  | bool | selectMode = `true`,
|  | bool | showProgress = `true`,
|  | bool | statisticsVisible = `false`
| ) |  |

Needed to use updateData() methods after to create valid instance.